POST /v1/data/instagram/hashtags/run
Pricing: $0.02 per hashtag ($19.00 per 1,000).
Request
Send the inputs underparams. Only the keys below are accepted; any other key returns 422 invalid_params.
Posts To Include to use. Top and recent by default.Allowed values:
top_and_recent (Top and recent), top_only (Top only), recent_only (Recent only).Example
curl -X POST "https://api.mindcase.co/v1/data/instagram/hashtags/run?wait=true" \
-H "Authorization: Bearer $MINDCASE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"hashtags": [
"travel",
"nike",
"ラーメン"
],
"postsToInclude": "top_and_recent"
}
}'
import os, requests
r = requests.post(
"https://api.mindcase.co/v1/data/instagram/hashtags/run",
params={"wait": "true"},
headers={"Authorization": f"Bearer {os.environ['MINDCASE_API_KEY']}"},
json={"params": {
"hashtags": [
"travel",
"nike",
"ラーメン"
],
"postsToInclude": "top_and_recent"
}},
)
job = r.json()
rows = job.get("data", []) # if job["status"] == "running", poll /v1/jobs/{job_id}/results
const r = await fetch("https://api.mindcase.co/v1/data/instagram/hashtags/run?wait=true", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.MINDCASE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ params: {
"hashtags": [
"travel",
"nike",
"ラーメン"
],
"postsToInclude": "top_and_recent"
} }),
});
const job = await r.json();
const rows = job.data ?? []; // if job.status === "running", poll /v1/jobs/{job_id}/results
Response fields
Each row indata is one hashtag, keyed by these fields.
| Field | Name | Type |
|---|---|---|
hashtagId | Hashtag ID | text |
hashtag | Hashtag | text |
hashtagUrl | Hashtag URL | url |
posts | Posts | number |
postsAnalyzed | Posts Analyzed | number |
relatedHashtags | Related Hashtags | object_array |
topPosts | Top Posts | object |
recentPosts | Recent Posts | object |
Example response
Abridged: long text and lists are shortened.{
"job_id": "7f3a1c2e-0b9d-4c55-9a51-3f2e8d1b6a40",
"agent": "instagram/hashtags",
"status": "completed",
"row_count": 1,
"truncated": false,
"data": [
{
"topPosts": {
"status": "complete",
"requestedPosts": 10,
"returnedUniquePosts": 10,
"pagesAnalyzed": 1,
"duplicatesRemoved": 0,
"continuationAvailable": true,
"observedFrom": "2026-11-05T15:44:28Z",
"observedTo": "2026-11-06T11:47:24Z",
"contentTypes": {
"image": 0,
"video": 9,
"carousel": 1,
"unknown": 0
},
"engagement": {
"likes": {
"availablePosts": 10,
"missingPosts": 0,
"total": 10482,
"average": 1048.2,
"median": 692
},
"comments": {
"availablePosts": 10,
"missingPosts": 0,
"total": 140,
"average": 14,
"median": 9.5
},
"plays": {
"availablePosts": 9,
"missingPosts": 1,
"total": 213752,
"average": 23750.222222222223,
"median": 15994
}
},
"postExamplesReturned": 5,
"postExamples": [
{
"id": "4024331008283082693",
"shortcode": "DfZS7rvTX_F",
"postUrl": "https://www.instagram.com/p/DfZS7rvTX_F/",
"contentType": "video",
"creatorUsername": "o7__o7.kai",
"captionExcerpt": "-\n開箱馬爾地夫必住的水上屋🇲🇻\n-\n#daily #travel #record #life #maldives",
"captionHashtags": [
"daily",
"travel",
"record"
],
"likeCount": 591,
"commentCount": 8,
"playCount": 20250,
"takenAt": "2026-11-06T09:36:39Z"
},
{
"id": "4024028516201785206",
"shortcode": "DfYOJ2CP-d2",
"postUrl": "https://www.instagram.com/p/DfYOJ2CP-d2/",
"contentType": "video",
"creatorUsername": "thebellistrifamily",
"captionExcerpt": "Waking up in our lavish 2-bedroom suite @chaseparkplaza Halloween morning was the perfect way to kick off Halloween weekend! 🎃👻\n\nWe had zero needs for our ve...",
"captionHashtags": [
"sponsored",
"staysonesta",
"chaseparkplaza"
],
"likeCount": 331,
"commentCount": 42,
"playCount": 3448,
"takenAt": "2026-11-05T23:34:10Z"
},
{
"id": "4024396503587558359",
"shortcode": "DfZh0w_qRPX",
"postUrl": "https://www.instagram.com/p/DfZh0w_qRPX/",
"contentType": "video",
"creatorUsername": "vimal_kumar_online",
"captionExcerpt": "A little break from the usual..\n\n#jismavimal #creators #love #Vagamon #travel \n\n[Jismavimal,couple,creators,fyp,kerala creators,Vagamon,Will mount,travel vlo...",
"captionHashtags": [
"jismavimal",
"creators",
"love"
],
"likeCount": 3509,
"commentCount": 14,
"playCount": 96736,
"takenAt": "2026-11-06T11:47:24Z"
}
]
},
"relatedHashtags": [
{
"hashtag": "love",
"observedPosts": 4,
"shareOfSampledPosts": 0.2,
"feeds": [
"top",
"recent"
]
},
{
"hashtag": "amazing",
"observedPosts": 3,
"shareOfSampledPosts": 0.15,
"feeds": [
"recent"
]
}
],
"hashtag": "travel",
"hashtagUrl": "https://www.instagram.com/explore/tags/travel/",
"postsAnalyzed": 20,
"recentPosts": {
"status": "complete",
"requestedPosts": 10,
"returnedUniquePosts": 10,
"pagesAnalyzed": 1,
"duplicatesRemoved": 0,
"continuationAvailable": true,
"observedFrom": "2026-11-06T12:47:53Z",
"observedTo": "2026-11-06T12:48:57Z",
"contentTypes": {
"image": 3,
"video": 0,
"carousel": 7,
"unknown": 0
},
"engagement": {
"likes": {
"availablePosts": 10,
"missingPosts": 0,
"total": 8,
"average": 0.8,
"median": 1
},
"comments": {
"availablePosts": 10,
"missingPosts": 0,
"total": 0,
"average": 0,
"median": 0
},
"plays": {
"availablePosts": 0,
"missingPosts": 10,
"total": null,
"average": null,
"median": null
}
},
"postExamplesReturned": 5,
"postExamples": [
{
"id": "4024428945881007851",
"shortcode": "DfZpM3PCYbr",
"postUrl": "https://www.instagram.com/p/DfZpM3PCYbr/",
"contentType": "carousel",
"creatorUsername": "thehh06",
"captionExcerpt": "You know you’ve read too much Japanese fiction when your guidebook doesn’t mention #Chiba but you have to go for the famous peanuts and the #monorail \n\nThe C...",
"captionHashtags": [
"chiba",
"monorail",
"publictransport"
],
"likeCount": 0,
"commentCount": 0,
"playCount": null,
"takenAt": "2026-11-06T12:48:57Z"
},
{
"id": "4024428896984585204",
"shortcode": "DfZpMJslVP0",
"postUrl": "https://www.instagram.com/p/DfZpMJslVP0/",
"contentType": "carousel",
"creatorUsername": "magicaltravelsbynoelle",
"captionExcerpt": "Do we have anything in common? If so, let me know in the comments! ⬇️\n\nHi, I’m Noelle! A travel agent specializing in Disney vacations. From growing up visit...",
"captionHashtags": [
"travel",
"travelagent",
"vacation"
],
"likeCount": 2,
"commentCount": 0,
"playCount": null,
"takenAt": "2026-11-06T12:48:51Z"
},
{
"id": "4024428860235892207",
"shortcode": "DfZpLneMMXv",
"postUrl": "https://www.instagram.com/p/DfZpLneMMXv/",
"contentType": "image",
"creatorUsername": "epi_x0",
"captionExcerpt": "#art #reel #viral #trend #travel",
"captionHashtags": [
"art",
"reel",
"viral"
],
"likeCount": 1,
"commentCount": 0,
"playCount": null,
"takenAt": "2026-11-06T12:48:49Z"
}
]
},
"hashtagId": "17843819167049166",
"posts": 798721699
}
]
}
Related APIs
For every post under a hashtag useinstagram/posts.